/*
These are queries to run against the database given for the assignment.
See the "SQL data creation.sql" for initializing the database/schema.
For each query you need to describe what it does.
*/

/* Use this database or change to whatever you used. ONLY FOR MYSQL. 
   CAN REMOVE FOR POSTGRESQL BY PUTTING -- AT THE START OF THE LINE. */
use `yourname`;

/* ******************************************************
Q0
Before you do any of the SQL queries below create an ER diagram of the data 
by using the EER Model in the MySQL Workbench or another means.  Use this to 
describe which tables are linked and which are not.
************************************************************* */

/* Q1 */
SELECT distinct S.sid 
FROM  s1 S, r1 R 
WHERE  S.sid = R.sid
; 

/* Q2 */
SELECT S.sid 
FROM  s1 S, r1 R 
WHERE  S.sid = R.sid
; 

/* Q3 */
select s.sname
from s1 s, r1 r
where s.sid = r.sid and r.bid = 103
;
